#ifndef VISTABAR_H
#define VISTABAR_H

#include <qvariant.h>
#include <qmainwindow.h>
#include <qpixmap.h>
#include <qimage.h>
#include "bg.xpm"
#include "top.xpm"
#include "bot.xpm"
#include <qlistview.h>
#include <qptrvector.h>

class QVBoxLayout;
class QHBoxLayout;
class QGridLayout;
class QSpacerItem;
class QAction;
class QActionGroup;
class QToolBar;
class QPopupMenu;
class QLabel;
class QTabWidget;
class QWidget;
class QIconView;
class QIconViewItem;
class QFrame;

class vista : public QWidget
{
    Q_OBJECT

public:
    vista( QWidget* parent = 0, const char* name = 0, WFlags fl = WType_TopLevel );
    virtual ~vista();
    virtual void KAppBarSetTheme(QPixmap maintop, QPixmap mainbg , QPixmap tabbg , QPixmap mainbot,QPixmap mask);

    QLabel* backbg;
    QLabel* topbg;
    QLabel* botbg;

    //QLabel* pixmapLabel7;
    
    QTabWidget* tab;
    QListView* list1;
    QFrame* frame3;
    
    QLabel* textLabel1;
    QLabel* textLabel2;
    
    QWidget * parentRef;
    QPtrVector<QWidget> widgetarray;
    // QWidget * widgetarray[100];    
    QPtrVector<QListView> listarray;
    // QListView * listarray[100]; 



public slots:
    virtual void startApp( QListViewItem * item);
    virtual void createTab();

protected:
    QHBoxLayout* frame3Layout;
    QStringList files;
    QString apps;
    int numberoftabs;

protected slots:
    virtual void languageChange();

private:
	QPixmap top_banner;
	QPixmap back_banner;
	QPixmap bot_banner;
	QPixmap item_banner;
	QPixmap tab_banner;


};

#endif 
