#include <qlcdnumber.h>
#include <kglobal.h>
#include <klocale.h>
#include <kconfig.h>
#include <kapplication.h>
#include <kmessagebox.h>
#include <qlabel.h>
#include <qimage.h>
#include <dcopclient.h>
#include <kdebug.h>
#include <kiconloader.h>
#include <qtooltip.h>
#include "xp.xpm"
//#include <kuser.h> to make it porable with kde 3.1
#include <kimageeffect.h>
#include <kpixmapeffect.h>
#include <qpainter.h>
#include <qdragobject.h>
#include "kbfx.h"
#include "kbfxmenu.h"
#include <krootpixmap.h>
#include <qcursor.h>
#include <kpassivepopup.h>
#include <kglobalsettings.h>
#include <qvbox.h>
#include <qbutton.h>
#include <kpopupmenu.h>
#include <qdir.h>
#include <qfile.h>
/*QString
getusername ()
{


  long uid = (long) getuid ();
  KUser *user = new KUser (uid);

  return user->loginName ();


}
*/


kbfx::kbfx (const QString & configFile, Type type, int actions, QWidget * parent, const char *name):KPanelApplet (configFile, type, actions, parent,
	      name)
{

 setBackgroundOrigin( AncestorOrigin );

  blocked = FALSE;
  mainView = new QLabel (this);	// this is what I'm going to dressup 
  setAcceptDrops (true);
  readConfig ();
  start_menu = new DCOPClient ();	//Constructs a new DCOP client, but does not attach to any server. 
  if (!start_menu->attach ())
    KMessageBox::information (0, i18n ("Dcop failed"));
/* set the tool tip */


  QToolTip::add (mainView, tooltip);

/* Lets load the skin images to the label */

if(skin)
normal = QImage(skin); //load what's on the config file

if(normal.isNull())
{
//config file did not have any icon so lets try xp.png 
      KIconLoader * skin_loader = KGlobal::iconLoader ();
      skin = skin_loader->iconPath ("xp", KIcon::Small, true);
      if(skin)
	normal = QImage (skin);

connect(&guiconfig,SIGNAL(fxcheck(bool)),this,SLOT(getfx(bool)));
connect(&guiconfig,SIGNAL(kickercheck(bool)),this,SLOT(getkicker(bool)));

} 
   

if(normal.isNull())
	{

	//all efforts failed on icon load the built in button

      normal = QImage (xp);
	}


  int
    applet_width = normal.width ();
  int
    applet_height = normal.height ();
  mainView->setFixedSize (applet_width, applet_height);
  //mainView->move (0, 0);
  ///move (parent->x (), parent->y ());
  mainView->installEventFilter (this);
  mainView->setPixmap (normal);


  mainView->show ();


}


void
kbfx::setSkin (QPixmap map)
{

  int w = map.width ();
  int h = map.height ();

   
  
  mainView->setFixedSize (w, h);
   mainView->setPixmap (map);
  mainView->repaint ();

}


void
kbfx::dropSkin (QDropEvent * e)
{
}

void
kbfx::dragEnterEvent (QDragEnterEvent * e)
{

  //if (QImageDrag::canDecode (e))

  e->accept ();


}


void
kbfx::dropEvent (QDropEvent * e)
{


  e->accept ();
  e->acceptAction ();

  QStrList ls;
  QString filename;
  QUriDrag::decode (e, ls);
  filename = QUriDrag::uriToLocalFile (ls.at (0));
  skin = QUriDrag::uriToLocalFile (ls.at (0));
  
   QPixmap droped = QImage (filename);
  if (droped.isNull ())
    {
      KMessageBox::information (0, i18n ("Pixmap creation failed"));
    return ;
	}
  else
    {

      setSkin (droped);

    }

/* time to se the hiddent images */

	skin_hover = QUriDrag::uriToLocalFile(ls.at(1)); 
	skin_pressed = QUriDrag::uriToLocalFile(ls.at(2)); 
		
if(kicker_auto_ajust){
QByteArray data;
QDataStream
arg (data, IO_WriteOnly);
arg<< droped.height() + 3;
if (!start_menu->
		    send ("kicker", "Panel", "setPanelSize(int)", data))
		  kdWarning () << "Could not send DCOP command\n";
		   
}

saveConfig();
 	
}

kbfx::~kbfx ()
{

  saveConfig ();
  delete start_menu;
}

bool kbfx::eventFilter (QObject *, QEvent * e)
{
  switch (e->type ())
    {
    case QEvent::Enter:
      {

	QImage
	  glow;
	QImage
	  tmp;
	
tmp = QImage (skin_hover);
	
	if(tmp.isNull())
	    tmp = QImage (skin);
if(tmp.isNull())
	    tmp = QImage (xp);

if(fx_on)
	glow = KImageEffect::intensity (tmp, 0.1f);
else
 	glow = KImageEffect::intensity (tmp, 0.0f);

setSkin (QImage (glow));
	return TRUE;
      }
    case QEvent::Leave:
      {
	blocked = FALSE;
	QImage
	  tmp;
	    tmp = QImage (skin);
if(tmp.isNull())
	    tmp = QImage (xp);

	
	setSkin (tmp);
	return TRUE;
      }
    case QEvent::MouseButtonPress:
      {
	if (((QMouseEvent *) e)->button () != Qt::LeftButton)
	  {
	kbfxpop();
	return TRUE;
	}
	QImage
	  tmp;
	    tmp = QImage (skin);
	if(tmp.isNull())
	    tmp = QImage (xp);

	  
	setSkin (tmp);
	return TRUE;
      }
    case QEvent::MouseButtonRelease:
      {
	if (((QMouseEvent *) e)->button () != Qt::LeftButton)
	  return FALSE;
	if (mainView->hasMouse ())
	  {
	    QImage
	      glow;
	    QImage
	      tmp;
	   

		tmp = QImage (skin_pressed);
	   if(tmp.isNull())	
		tmp = QImage (skin);
	  if(tmp.isNull())
		tmp = QImage (xp);

	 
	if(fx_on)
	        glow = KImageEffect::intensity (tmp, 0.5f);
	else
		glow = KImageEffect::intensity (tmp, 0.0f);
	
	setSkin (QImage (glow));
	    if (!blocked)
	      {
		blocked = TRUE;
		QByteArray data;

		QDataStream
		arg (data, IO_WriteOnly);
		QPoint ctmp (QCursor::pos());
	if( QCursor::pos().y() >  128) 
	{
	
	this->setCursor(Qt::BlankCursor);
	QCursor::setPos(this->mapToGlobal(QPoint(0,0)));
	
	}
	else
	{
	
	this->setCursor(Qt::BlankCursor);
	QCursor::setPos(this->mapToGlobal(this->geometry().bottomLeft()));
	
	 	
	}

	QPoint tt(QCursor::pos());
	arg << tt;;

		if (!start_menu->
		    send ("kicker", "kicker", "popupKMenu(QPoint)", data))
		  kdWarning () << "Could not send DCOP command\n";
		
		this->setCursor(Qt::ArrowCursor);
		QCursor::setPos(ctmp);
	      }
	    else
	      blocked = FALSE;
	  }
	else
	  {
	    blocked = FALSE;
	    QPixmap
	      tmp;
	   
		tmp = QImage (skin);
	    
if(tmp.isNull())

		tmp = QImage (xp);



	    setSkin (tmp);
	  }
	return TRUE;
      }

    default:
      return FALSE;
    }
}


void
kbfx::about ()
{
  KMessageBox::information (0, i18n ("visit:http://www.linuxlots.com/~siraj/kde/plugin/home/"))
;
}


void kbfx::kbfxpop()
{

readConfig();
QPoint save(QCursor::pos());
KPopupMenu * menu = new KPopupMenu(this);
kappbar  * a = new kappbar(menu);

/**********************************************/


QString  path = QDir::homeDirPath () + QString ("/.kbfx/");
QString  themepath = path + QString ("bartheme/");

QDir dir = QDir::home ();

  if (!dir.exists (themepath))
    {
      dir.mkdir (".kbfx/bartheme");
    }



QPixmap  top = QImage(themepath+theme+"/"+"topbg.png");
QPixmap  bot = QImage(themepath+theme+"/"+"botbg.png");
QPixmap  bg  = QImage(themepath+theme+"/"+"bg.png");
QPixmap  tab = QImage(themepath+theme+"/"+"tabbg.png");
QPixmap  mask= QImage(themepath+theme+"/"+"mask.png");

a->KAppBarSetTheme(top,bg,tab,bot,mask);


/*********************************************/
if(!mask.isNull())
{
menu->setMask(*mask.mask());
}

menu->insertItem(a,0);

  if( QCursor::pos().y() >  128)//very silly trick replace with dcop call later
        {
	    QCursor::setPos(this->mapToGlobal(QPoint (0,0)));
	    QPoint pp(QCursor::pos());
            //QCursor::setPos(this->mapToGlobal(QPoint (0,0)));
	    a->move(0,32);
	    menu->exec(pp );
        }
else    {
	//QCursor::setPos(this->mapToGlobal(this->geometry().bottomLeft()));
	menu->exec( this->mapToGlobal( this->geometry().bottomLeft())) ;
	}

 this->setCustomMenu(menu);

}

void
kbfx::help ()
{
  KMessageBox::information (0, i18n ("This is a help box"));
}

void
kbfx::setfx()
{
	fx_on = ~fx_on;
}


void kbfx::getkicker(bool fx)
{

	kicker_auto_ajust =  fx;
	saveConfig();
}

void kbfx::getfx(bool fx)
{

	fx_on = fx;
	saveConfig();
} 
void
kbfx::preferences ()
{
	guiconfig.setFx(fx_on);
	guiconfig.setKicker(kicker_auto_ajust);
	guiconfig.show();
		//setfx();
}

int
kbfx::widthForHeight (int height) const 
{

  return normal.width ();
}

int
kbfx::heightForWidth (int width) const 
{

  return normal.height ();
}

void
kbfx::resizeEvent (QResizeEvent * e)
{



  QPixmap tmp;
  if (skin)
    {

      tmp = QImage (skin);
    }
  else
    {

      tmp = QImage (xp);

    }

  setSkin (tmp);

  KPanelApplet::resizeEvent (e);

}


extern "C"
{
  KPanelApplet *init (QWidget * parent, const QString & configFile)
  {
    KGlobal::locale ()->insertCatalogue ("kbfx");
    return new kbfx (configFile, KPanelApplet::Normal,
		     KPanelApplet::About |  KPanelApplet::Preferences , parent, "kbfx");
  }
}
